function h = showorientationfield(imOriginal, imContour, imSegmented, orientationArray, h)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plot the orientation ridges
%
% Inputs :  - Fp : structure array of the fingerprint
%           - h (handles) : parameters of the interface
%
% Outputs : - h (handles) : parameters of the interface
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

displayInterval = 40;
radius = 25;
border = 10;
im = imOriginal;


% imSegmented : background in black
temp = imSegmented;
imSegmentedDist = bwdist(imcomplement(temp));


temp = imContour;
temp = Thin(imcomplement(temp), 'Inf');
temp = bwmorph(imcomplement(temp), 'dilate');
axes(h);
imshow(im);
colormap gray
title('Orientation field');
hold on
axis ij

i = 1;
for x = displayInterval : displayInterval : size(im, 1) - displayInterval
    for y = displayInterval : displayInterval : size(im, 2) - displayInterval
        
        if imSegmentedDist(x, y) > 15
            orientation = orientationArray(x, y);
            plot([y - radius/2 * cos(orientation)  y + radius/2 * cos(orientation)],...
                [x - radius/2 * sin(orientation)  x + radius/2 * sin(orientation)], 'red', 'linewidth', 1.5);
            i=i+1;
        end
    end
end
hold off